petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscViewerBinaryGetUseMPIIO

Returns PETSC_TRUE if the binary viewer uses MPI-IO.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinaryGetUseMPIIO(PetscViewer viewer,PetscBool *flg)

Not Collective

### Input Parameter

viewer -PetscViewer context, obtained from PetscViewerBinaryOpen()

### Output Parameter

flg -PETSC_TRUE if MPI-IO is being used

### Options Database

-viewer_binary_mpiio : Flag for using MPI-IO

### Note

If MPI-IO is not available, this function will always return PETSC_FALSE

### Fortran Note

This routine is not supported in Fortran.

### See Also

PetscViewerBinaryOpen(), PetscViewerBinaryGetInfoPointer()

Level:advanced
Location:src/sys/classes/viewer/impls/binary/binv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/examples/tutorials/ex15.c.html